100 TURBO_locstr "Report":REMark Ignore/Create
110 TURBO_windo  0
120 TURBO_optim  "Brief":REMark Rem/Fast
130 TURBO_model  ">64":REMark <64
140 TURBO_struct "Struc":REMark Freef
150 TURBO_diags  "o":REMark Omit/Include
160 TURBO_taskn   "sud v1.08"
170 TURBO_repfil "ram1_err"
180 TURBO_objdat  80
190 TURBO_objfil  "ram1_sud108"
200 TURBO_buffersz 200:TURBO_objstk 600
210 :
220 REMark %%win2_turbo_rem_bin,6,10
230 REMark %%win1_qptr_basic_tptr_ext,0,46
240 :
1000 IF COMPILED:OPEN#0,con:INK#0,GREEN%:wch%=100:ELSE :BOUTL:wch%=0
1005 IF Fail_Test:STOP
1010 IF NOT Set_Win:PRINT#0,"I can't open my windows!":Stip
1020 wwd=M_SETUP(#wch%,wd(0),0)
1025 Initb
1030 IF COMPILED:chid=M_PRPOS(wwd,start_pos):ELSE :chid=M_PULLD(wwd,-1)
1040 REMark **************************************************************
1050 REMark * Information about the 81 SUDOKU                            *
1060 REMark * numbers is held in the array sn%(8,8)                      *
1070 REMark *                                                            *
1080 REMark *  15    12              4 3          0                      *
1090 REMark *  ____________________________________                      *
1100 REMark * |.|.|.| | | | | | | | | |<-    n   ->|                     *
1110 REMark *  | |   9 8 7 6 5 4 3 2 1                                  *
1120 REMark *  |  Reduced possibilities                                 *
1130 REMark *   Set                                                     *
1140 REMark *  Found                                                     *
1150 REMark *                                                            *
1160 REMark * Bit 15 is 1 if the number is known (either found or set).  *
1170 REMark * Bit 14 is 1 if the number was "set" from the start.        *
1180 REMark * Bit 13 is 1 if the number of possibilities is lowered.     *
1190 REMark * Bits 4 to 12 contain information about possible values.    *
1200 REMark * If r is a possible value, bit r+3 is set.                  *
1210 REMark * If bit 15 is 0 it means that the value is not found.       *
1220 REMark * In this case n (in bits 0 to 3) is the number of           *
1230 REMark * possibilties left.                                         *
1240 REMark * If bit 15 is 1, n is the value found (or set).             *
1250 REMark *                                                            *
1260 REMark * Optional parameter string:                                 *
1270 REMark * -t<tail> -d<dir>                                           *
1280 REMark * "tail" is up to 4 final characters set for Qmenu.          *
1290 REMark * "dir" is the default directory for Qmenu.                  *
1300 REMark **************************************************************
1310 :
1320 Initc
1330 :
1340 REPeat lp
1350  k=WRPTRT(wwd,40,0):REMark k indicates whether loose item, event or application
1360  r=255&&get_x%(k):ht=$100&&get_x%(k)
1365  IF (PEEK(PEEK_L(wwd)+$12)&&$DF)=$44:ht=-1
1370  SELect ON r
1380    =255
1390   IF Do_Loose(get_y%(k)):EXIT lp
1400    =252:IF Do_Timeout:EXIT lp
1402    =254:Do_Event get_y%(k)
1410  END SELect
1420 END REPeat lp
1430 Finish
1440 STOP
1450 :
1460 DEFine FuNction Do_Loose(num)
1470  SELect ON num
1480   =0:Mve
1490   =1:Do_Sleep wwd,chid,wch%:Set_Chs:Set_All:Prt2:Prt4 1:Prt5
1500   =2:RETurn 1
1510   =3:IF Load_Fle:D_LDRW 4,wwd:D_LDRW 5,wwd:D_LDRW 7,wwd:Set_All:Prt5
1520   =4:Save_Fle:Prt5
1530   =5:Re_Set 0
1540   =6:Prt3 1:pfl$="":Prt5:Clear_All:Start_New:D_LDRW 5,wwd:D_LDRW 7,wwd:D_LDRW 4,wwd:Prt4 2
1545   =7:Menu:Prt4 2
1550   =8:SELect ON ht
1552        =-1:Ask_Deft
1554        =0:Set_Dir
1556        =REMAINDER :Set_Ext
1558       END SELect
1565  END SELect
1570  D_LDRW num,wwd:                 REMark  * Makes loose item 'available'     *
1580  RETurn 0
1590 END DEFine
1592 :
1594 DEFine PROCedure Do_Event(k)
1596  IF k=32:Do_Sleep wwd,chid,wch%:Set_Chs:Set_All:Prt2:Prt4 1:Prt5
1598 END DEFine
1600 :
1610 DEFine PROCedure Set_Chs
1620  LOCal x
1630  REMark FOR x=3 TO 11:SET_CHANNEL#x,SWIN(0,x-1,wwd):OVER#x,-1
1635  SET_CHANNEL#3,SWIN(0,2,wwd):Prt1
1640  SET_CHANNEL#4,SWIN(0,1,wwd)
1650  SET_CHANNEL#5,SWIN(0,3,wwd)
1660  SET_CHANNEL#6,SWIN(0,0,wwd)
1665  SET_CHANNEL#7,SWIN(0,4,wwd)
1670 END DEFine
1680 :
1690 DEFine PROCedure Mve
1700  BCHWIN wwd
1710  Set_Chs:Prt4 1
1720 END DEFine
1730 :
1740 DEFine FuNction Load_Fle
1745  LOCal ch%,x,y,a$(8),ksg$(42),sze
1750  IF QM_Here
1755   ksg$=Fle_Sel$("Load a SUDOKU file",sg$,dr$,tl$)
1760  ELSE
1765   ksg$=Do_NoQM$
1770  END IF
1775  IF ksg$="":RETurn 0
1780  sg$=ksg$
1785  ch%=FOP_IN(sg$)
1790  IF ch%<0:Noise:RETurn 0
1791  sze=FLEN(#ch%)-169
1792  SELect ON sze
1793   =0,2
1794   =REMAINDER :Noise:RETurn 0
1797  END SELect
1800  a$=INPUT$(#ch%,7):IF a$(1 TO 6)<>"SUDOKU":CLOSE#ch%:Noise:RETurn 0
1805  FOR x=0 TO 8:FOR y=0 TO 8:sn%(x,y)=GET%(#ch%)
1807  IF sze:te=GET%(#ch%):ELSE :te=0
1810  CLOSE#ch%:pfl$=sg$:RETurn 1
1815 END DEFine
1860 :
1870 DEFine PROCedure Save_Fle
1880  LOCal ch%,x,y,k,ksg$(42),lp
1885  REPeat lp
1887   IF QM_Here
1890    ksg$=Fle_Sel$("Save a SUDOKU file",sg$,dr$,tl$)
1892   ELSE
1894    ksg$=Do_NoQM$
1896   END IF
1900   IF ksg$="":RETurn
1910   sg$=ksg$
1915   k=DEVICE_STATUS(2,sg$)
1917   IF k>0:EXIT lp
1919   IF Want_Over:EXIT lp
1921  END REPeat lp
1928  ch%=FOP_OVER(sg$)
1930  IF ch%<0:Noise:RETurn
1940  PRINT#ch%,"SUDOKU":FOR x=0 TO 8:FOR y=0 TO 8:PRINT#ch%,INTEGER$(sn%(x,y));
1945  PRINT#ch%,INTEGER$(te);
1950  CLOSE#ch%:pfl$=sg$
1960 END DEFine
1970 :
1980 DEFine PROCedure Initb
1990  LOCal x,y,n%
2000  MANIFEST:_left=$C0:_right=$C8:_up=$D0:_down=$D8:ESC=27:ENTER=10: col1%=2
2005  MANIFEST:Move_Win=$F5:CF1=$E9
2007  IF md_type:col2%=7:ELSE col2%=3
2010  FOR x=3 TO 7:OPEN#x,con
2012  adwmp=BASIC_ADR(BASIC_INDEX%("WM_PAPER")):adwmi=BASIC_ADR(BASIC_INDEX%("WM_INK"))
2013  adscx=BASIC_ADR(BASIC_INDEX%("SCR_XLIM")):adscy=BASIC_ADR(BASIC_INDEX%("SCR_YLIM"))
2014  vadr2=TURBO_V("TURBO_DUMMYP"):vadr3=TURBO_V("TURBO_DUMMYF")
2020  DIM sn%(8,8),tl$(12),dr$(42),sg$(42),pfl$(42),wd_no%(8),md4ink%(9)
2025  RESTORE 2050:FOR x=0 TO 8:READ wd_no%(x)
2027  FOR x=0 TO 9:READ md4ink%(x)
2030  adr=BSVPW(#3,0,0,0,0,0,0,0,22,34):te=0:ton=0:qm_set=0
2035  k1%=52:k2%=11:k3%=42:k4%=10
2040  FOR x=0 TO 8:FOR y=0 TO 8:sn%(x,y)=0
2045  Set_Defaults:Unravel OPTION_CMD$
2050  DATA 7,8,9,4,5,3,1,2,6
2060  DATA 7,$3F,$7F,$78,$FF,$BF,$F8,$B8,$38,0
2077  IF inp%=0:start_pos=-1:ELSE :start_pos=((Scr_Xlm-702)/2+8)*2^16+(Scr_Ylm-404)/2+7
2080 END DEFine
2082 :
2084 DEFine PROCedure Initc
2086  LOCal x
2088  FOR x=4,5,7:D_LDRW x+16*65536,wwd
2090  Set_Chs: tct%=0:Prt2:Prt4 2:Prt5
2092 END DEFine
2100 :
2108 DEFine PROCedure Set_Num(a,b,n)
2110  REMark This prints a small green number,
2120  REMark causing it to appear or disappear.
2130  USE 3
2140  CURSOR a*k1%+k2%+6*((n-1) MOD 3),k3%*b+10*((n-1) DIV 3)+k4%
2150  PRINT n:USE
2160 END DEFine
2170 :
2180 DEFine PROCedure Put_Num(a,b,n,col%)
2190  REMark This prints a large number in color col%
2200 REMark USE Find_Chan%(a,b)
2205  USE 3
2210  CURSOR a*k1%+k2%-1,k3%*b+k4%+5
2220  CSIZE 3,1:INK col%:PRINT n;:CSIZE 0,0:INK GREEN%:USE
2230 END DEFine
2240 :
2300 DEFine PROCedure Look_At(a,b)
2310  REMark Prints the white rectangle at position a,b
2315  IF NOT ton:RETurn
2320  USE 3
2330  BLOCK 22,1,a*k1%+k2%-2,k4%-2+b*k3%,WHITE%
2340  BLOCK 22,1,a*k1%+k2%-2,k4%-2+33+b*k3%,WHITE%
2350  BLOCK 2,32,a*k1%+k2%-2,k4%-1+b*k3%,WHITE%
2360  BLOCK 2,32,a*k1%+k2%-2+20,k4%-1+b*k3%,WHITE%
2370  USE
2380 END DEFine
2390 :
2400 DEFine PROCedure Alt_New(a,b,n,j)
2410  REMark The number n is "found" at a,b
2420  REMark This reduces the possibilities in
2430  REMark the associated series
2440  REMark An error is signalled if the number
2450  REMark is already there
2460  REMark If j<>0 print numbers
2470  LOCal lx%,ly%,hx%,hy%,sx%,sy%,k
2480  lo=0:k=sn%(a,b)&&$FFFFE000
2490  IF j
2500   SELect ON k
2510    =-16384:Noise:RETurn :REMark A SET number!!
2520    =-32768:IF Val%(a,b)=n:Noise:RETurn :ELSE :sn%(a,b)=$1FF9
2530   END SELect
2540   IF n>0:lx%=2^(n+3)&&sn%(a,b):IF lx%=0:Noise:RETurn
2550   Re_Set 1:lo=1
2560  END IF
2570  IF n>0
2580   lx%=a:hx%=a:ly%=0:hy%=8:sx%=1:sy%=1:IF Alt_New1(0):RETurn
2590   lx%=0:hx%=8:ly%=b:hy%=b:IF Alt_New1(0):RETurn
2600   lx%=Lms(a,1):hx%=Lms(a,2):ly%=Lms(b,1):hy%=Lms(b,2):sx%=hx%-lx%:sy%=hy%-ly%
2610   IF Alt_New1(0):RETurn
2620   IF j:lo=1:Force_Num a,b,n,col1%
2630  END IF
2640 END DEFine
2650 :
2660 DEFine FuNction Alt_New1(k)
2670  REMark returns 1 if error, else 0
2680  LOCal x,y,fg%
2690  FOR x=lx% TO hx% STEP sx%
2700   fg%=x-a
2710   FOR y=ly% TO hy% STEP sy%
2720    IF fg%<>0 OR y<>b:IF sn%(x,y)<0:IF Val%(x,y)=n:Noise:RETurn 1
2730   END FOR y
2740  END FOR x
2745  IF k:RETurn 0
2750  FOR x=lx% TO hx% STEP sx%
2760   fg%=x-a
2770   FOR y=ly% TO hy% STEP sy%
2780    IF fg%<>0 OR y<>b
2790     IF sn%(x,y)>0
2800      IF (sn%(x,y)&&15)>1
2810       IF (2^(n+3)&&sn%(x,y))<>0
2820        sn%(x,y)=sn%(x,y)-1
2830        sn%(x,y)=sn%(x,y)^^2^(n+3)
2840        IF j:Set_Num x,y,n
2850    END IF :END IF :END IF :END IF
2860   END FOR y
2870  END FOR x
2880  RETurn 0
2890 END DEFine
2900 :
2910 DEFine FuNction Val%(a,b)
2920  REMark Returns the unique value at a,b or 0
2930  LOCal o%,o1%,x
2940  o%=sn%(a,b)&&15
2950  IF sn%(a,b)<0:RETurn o%
2960  IF o%>1:RETurn 0
2970  o1%=(sn%(a,b)&&$1FF0) DIV 16
2980  FOR x=1 TO 9
2990   IF o1%=1:RETurn x
3000   o1%=o1% DIV 2
3010  END FOR x
3020  RETurn 0
3030 END DEFine
3040 :
3050 DEFine PROCedure Set_All
3060  REMark Prints the whole diagram from the values of sn%
3070  LOCal x,y,z
3080  REMark FOR x=3 TO 11:CLS#x
3085  CLS#3:Prt1
3090  FOR x=0 TO 8
3100   FOR y=0 TO 8
3110    IF sn%(x,y)<0
3120     Put_Num x,y,sn%(x,y)&&15,col2%+(col1%-col2%)*((sn%(x,y)&&$4000)=0)
3130    ELSE
3140     FOR z=1 TO 9:IF (sn%(x,y)&&2^(z+3))<>0:Set_Num x,y,z
3150    END IF
3160   END FOR y
3170  END FOR x
3180 END DEFine
3190 :
3200 DEFine FuNction Lms(num%,o%)
3210  RETurn 3*(num% DIV 3)+(o%+(num% MOD 3)) MOD 3
3220 END DEFine
3230 :
3240 DEFine PROCedure Force_Num(a,b,n,col%)
3250  REMark Prints "n" at a,b with color col%
3260  LOCal x
3270  Blank a,b
3280  sn%(a,b)=(sn%(a,b)&&$1FF0)+$FFFF8000+n
3290  Put_Num a,b,n,col%
3300 END DEFine
3310 :
3320 DEFine PROCedure Noise
3330  IF nse%=0:BEEP 26000,132,56,44,2,-5
3340 END DEFine
3350 :
3360 DEFine PROCedure Finish
3370  BRSPW#3,adr,0,0,0,0,0,0
3380  DEBUG 1
3390   CLOSE
3400  DEBUG 0
3410 END DEFine
3420 :
3430 DEFine PROCedure Blank(a,b)
3440  REMark Clears the item a,b.
3450  BRSPW#3,adr,0,0,22,34,a*k1%+k2%-2,b*k3%+k4%-2,1
3460 END DEFine
3470 :
3480 DEFine PROCedure Start_New
3490  LOCal lp,x,y,a%,b%
3500  ton=1:te=0:a%=0:b%=0:Look_At 0,0
3510  REPeat lp
3520  x=CODE(INKEY$(#3,-1))
3530  SELect ON x
3540    =_left:IF a%>0:Move_L -1,0
3550    =_right:IF a%<8:Move_L 1,0
3560    =_up:IF b%>0:Move_L 0,-1
3570    =_down:IF b%<8:Move_L 0,1
3580    = CODE('1') TO CODE ('9'):IF Chk(a%,b%,x-48):Blank a%,b%:Put_Num a%,b%,x-48,col2%:sn%(a%,b%)=$FFFFC000+x-48:Look_At a%,b%
3590    =CODE('c'),CODE('C'):Blank a%,b%:sn%(a%,b%)=0:Look_At a%,b%
3600    =ENTER:EXIT lp
3605    =REMAINDER :Noise1
3610   END SELect
3620  END REPeat lp
3630  FOR x=0 TO 8: FOR y=0 TO 8:IF sn%(x,y)=0:sn%(x,y)=$1FF9
3640  FOR x=0 TO 8: FOR y=0 TO 8:IF sn%(x,y)<0:Alt_New x,y,Val%(x,y),0
3650  Set_All
3660 END DEFine
3670 :
3680 DEFine PROCedure Move_L(ma%,mb%)
3690  REMark Moves the white rectangle and sets new values of a% and b%
3700  Look_At a%,b%
3710  a%=a%+ma%:b%=b%+mb%
3720  Look_At a%,b%
3730 END DEFine
3740 :
3750 DEFine PROCedure Re_Set(k)
3760  REMark Resets the diagram. If k=0 only "set" numbers remain.
3770  LOCal x,y,k1
3775  IF NOT k:te=0
3780  FOR x=0 TO 8
3790   FOR y=0 TO 8
3800    k1=sn%(x,y)&&$FFFFE000
3810    SELect ON k1
3820     =-16384
3830     =-32768:IF NOT k:sn%(x,y)=$1FF9
3840     =8192:IF NOT k:sn%(x,y)=$1FF9:REMark leave "reduced" possibilities
3850     =REMAINDER :sn%(x,y)=$1FF9
3860    END SELect
3870   END FOR y
3880  END FOR x
3890  FOR x=0 TO 8: FOR y=0 TO 8:IF sn%(x,y)<0:Alt_New x,y,Val%(x,y),0
3900  Set_All
3910 END DEFine
3920 :
3930 DEFine PROCedure Menu
3940  REMark Deals with "Mark"
3950  LOCal lp,x,y,a%,b%
3962  date1=DATE-te:ton=1: a%=0:b%=0
3963  IF Complete:ton=0:Pr_Time 1
3965  IF ton:PAPER#7,BLACK%:INK#7,GREEN%:CLS#7:Pr_Time 0
3967  Prt3 0:Look_At 0,0
3970  REPeat lp
3980  x=CODE(INKEY$(#3,5))
3990  SELect ON x
3995    =0:IF ton:Do_Date
4000    =_left:IF NOT ton:Noise1:ELSE :IF a%>0:Move_L -1,0
4010    =_right:IF NOT ton:Noise1:ELSE :IF a%<8:Move_L 1,0
4020    =_up:IF NOT ton:Noise1:ELSE :IF b%>0:Move_L 0,-1
4030    =_down:IF NOT ton:Noise1:ELSE :IF b%<8:Move_L 0,1
4040    = CODE('1') TO CODE ('9'):IF NOT ton:Noise1:ELSE :Alt_New a%,b%,x-48,1:IF lo:Look_At a%,b%:IF Complete:Look_At a%,b%:ton=0:Prt3 0:Pr_Time 1
4050    =$21,$22,$24,$25:Un_Set x-$20:REMark 1, 2, 4, 5
4060    =$26:Un_Set 7
4070    =$28:Un_Set 9
4080    =$2A:Un_Set 8
4090    =$5E:Un_Set 6
4100    =$60:Un_Set 3
4105    =CODE('z'),CODE('Z'),CF1:M_IDRW 16,wwd:Do_Sleep wwd,chid,wch%:Set_Chs:Set_All:Prt2:Prt3 0:Prt5:Look_At a%,b%:date1=DATE-te: IF Complete:ton=0:Pr_Time 1
4110    =CODE('c'),CODE('C'):IF NOT ton:Noise1:ELSE :Ex_Red:Alt_New a%,b%,-1,1:IF lo:Look_At a%,b%
4115    =CODE('s'),CODE('S'):M_IDRW 16,wwd:Save_Fle:Prt5:date1=DATE-te:IF Complete:ton=0:Pr_Time 1
4120    =ESC:Look_At a%,b%:M_IDRW 16,wwd:EXIT lp
4125    =REMAINDER :Noise1
4130   END SELect
4140  END REPeat lp
4160 END DEFine
4170 :
4180 DEFine PROCedure Clear_All
4190  REMark Sets all sn% to 0 and clears the diagram.
4200  LOCal x,y
4210  CLS#3:Prt1
4220  FOR x=0 TO 8:FOR y=0 TO 8:sn%(x,y)=0
4230 END DEFine
4240 :
4250 DEFine PROCedure Prt2
4260  REMark Prints the lower left window
4270  PAPER#4,WHITE%:INK#4,BLACK%:CLS#4
4280  PRINT#4,"          SUDOKU Menu"\\
4290  PRINT#4,"Mark"\"Save"\"Load"\"New"\"Reset"\"Dflt":INK#4,RED%
4300  AT#4,2,7:PRINT#4,"Sets an unset number"
4310  AT#4,3,7:PRINT#4,"Sets the state to file"
4320  AT#4,4,7:PRINT#4,"Loads the state from file"
4330  AT#4,5,7:PRINT#4,"Sets a new initial state"
4340  AT#4,6,7:PRINT#4,"Resets the initial state"
4345  AT#4,7,7:PRINT#4,"Sets Dir(Left)/Ext(Right)"
4350 END DEFine
4360 :
4370 DEFine PROCedure Prt3(k)
4380  REMark Prints the upper left window for "Mark" or "New"
4390  LOCal a$(26),b$(20),c$(6),d$(20)
4400  REMark k=0 for Mark, 1 for New
4410  OVER#5,0
4420  IF k:a$="ENTER":b$="accepts the setting":c$="Set":d$="":ELSE d$=" +SHFT"&CHR$(10):b$="exits from 'Mark'":c$="Mark":a$="s / z"&CHR$(10)&"ESC"
4430  PAPER#5,WHITE%:INK#5,BLACK%:CLS#5
4440  PRINT#5,"            "&c$\\
4450  PRINT#5,""\"1 to 9"\d$&"c or C"\a$
4460  IF NOT (k+ton):INK#5,GREEN%:ELSE :INK#5,RED%
4470  AT#5,2,9:PRINT#5,"navigates"
4480  AT#5,3,9:PRINT#5,"sets number"
4490  AT#5,4+(k=0),9:PRINT#5,"clears number"
4500  IF NOT k:AT#5,4,9:PRINT#5,"unsets green number":INK#5,RED%:AT#5,6,9:PRINT#5,"Saves / Sleep"
4510  AT#5,5+2*(k=0),9:PRINT#5,b$
4520 END DEFine
4530 :
4540 DEFine PROCedure Prt4(k)
4550  REMark Prints a moving "SUDOKU" in the upper left window
4560  REMark if k=1 set up and clear the window
4570  IF k=2:cgd%=1:cgn%=15:qrd%=12:dq%=1
4580  IF k:Wm_Pr 5,$11D:Wm_Ik 5,$FFFF8000+($421*cgn%)^^$5BFF:CLS#5:OVER#5,-1
4590  CSIZE#5,3,1
4600  IF k=0
4610   CURSOR#5,qrd%+42,24:PRINT#5,"SUDOKU"
4620   IF qrd%>23 OR qrd%<1:dq%=2*(dq%=-1)-1
4630   qrd%=qrd%+dq%
4640   IF cgn%>29 OR cgn%<1:cgd%=2*(cgd%=-1)-1
4650   cgn%=cgn%+cgd%:Wm_Ik 5,$FFFF8000+($421*cgn%)^^$5BFF
4660  END IF
4670  CURSOR#5,qrd%+42,24:PRINT#5,"SUDOKU":CSIZE#5,0,0
4680 END DEFine
4690 :
4700 DEFine PROCedure Unravel(a$)
4710  REMark This deals with the parameter string, if any.
4720  LOCal k
4730  REMark To set directory and tail for FILE_SELECT
4740  REMark directory is set to dr$ from -d<dir>
4750  REMark tail is set from -t<tail>
4755  REMark initial position is set from -p<n>
4760  IF dr$="":dr$=DATAD$
4770  IF a$="":RETurn
4780  k="-d" INSTR a$: IF k:dr$=Pick_Out$
4790  k="-t" INSTR a$: IF k:tl$=Pick_Out$
4792  k="-p" INSTR a$:IF k:inp%=(Pick_Out$="1")
4794  k="-n" INSTR a$:IF k:nse%=(Pick_Out$="1")
4796  k="-b" INSTR a$:IF k:bep%=(Pick_Out$="1")
4800  IF LEN(tl$)>4:tl$=tl$(LEN(tl$)-3 TO)
4810 END DEFine
4820 :
4830 DEFine FuNction Pick_Out$
4840   REMark Returns the option item
4850   LOCal k1,aa$(42)
4860   k1= " " INSTR a$(k+1 TO):IF k1:aa$=a$(k+2 TO k+k1-1):ELSE aa$=a$(k+2 TO)
4870   RETurn aa$
4880 END DEFine
4890 :
4900 DEFine PROCedure Prt5
4910  REMark Prints, in the top window, the file being processed
4920  IF pfl$="":M_IDRW 1,wwd:RETurn
4930  CLS#6
4940  PRINT#6,FILL$(" ",(65-LEN(pfl$)) DIV 2)&pfl$
4950 END DEFine
4960 :
4970 DEFine PROCedure Un_Set(n)
4980  REMark Takes "n" out of the possibilities at a.b
4985  IF NOT ton:Noise1:RETurn
4990  IF sn%(a%,b%)<0:Noise:RETurn
5000  IF (sn%(a%,b%)&&(2^(n+3)))=0:Noise:RETurn
5010  IF (sn%(a%,b%)&&15)=1:Noise:RETurn
5020  sn%(a%,b%)=sn%(a%,b%)^^(2^(n+3))
5030  sn%(a%,b%)=sn%(a%,b%)-1
5040  sn%(a%,b%)=sn%(a%,b%)||$2000:REMark mark "Reduced possibilities"
5050  Set_Num a%,b%,n
5060 END DEFine
5070 :
5080 DEFine PROCedure Ex_Red
5090  REMark Resets the reduced possibilities to "all"
5100  LOCal o%
5110  o%=sn%(a%,b%)&&$FFFFE000
5120  IF o%=8192:sn%(a%,b%)=$1FF9
5130 END DEFine
5140 :
5150 DEFine PROCedure Set_Dir
5155  LOCal a$(42)
5157  IF QM_Here
5160   a$=Dir_Sel$("Sets the default directory")
5162  ELSE
5164   a$=Do_DNoQM$
5167  END IF
5170  IF a$="":Noise:ELSE dr$=a$
5180 END DEFine
5190 :
5200 DEFine PROCedure Set_Ext
5210  LOCal a$(6)
5220  OVER#5,0:PAPER#5,RED%:INK#5,GREEN%:CLS#5
5225  PRINT#5,"   To Set the File Extension"
5227  AT#5,3,0:PRINT#5,"Please give the file extension:"
5228  INK#5,WHITE%:AT#5,4,4:a$=EDIT$(#5,tl$,5)
5229  IF a$="":Noise:ELSE tl$=a$
5240  Prt4 2
5250 END DEFine
5260 :
5270 DEFine FuNction Do_Timeout
5280  IF tct%>=4:tct%=0:RETurn Seek_Indic
5285  tct%=tct%+1
5290  Prt4 0:RETurn 0
5300 END DEFine
5310 :
5320 DEFine FuNction Seek_Indic
5330  LOCal stadr,x
5340  stadr=PEEK_L(wwd)
5350  IF PEEK_W(stadr+12)<>-1:RETurn 0
5360  x=PEEK_W(stadr+$30):IF x<0:RETurn 0
5370  RETurn Do_Indic
5380 END DEFine
5390 :
5400 DEFine FuNction Do_Indic
5410  wwd1=M_SETUP(#0,wd(wd_no%(x)),-1)
5420  chid1=M_PULLD(wwd1,-1)
5430  Do_Sec:REMark process the secondary window
5440  BUNST wwd1:CLOS chid1:BRCHP wwd1
5450  IF acty<0:RETurn 0
5455  D_LDRW 65536*128+acty,wwd
5460  RETurn Do_Loose(acty)
5470 END DEFine
5480 :
5490 DEFine PROCedure Do_Sec
5500  LOCal pos1,pos2,y
5510  pos1=BRPTR(48,0,wwd1)
5515  pos2=BRPTR(11,pos1,wwd1):acty=-1
5520  IF pos1<>pos2:RETurn
5530  y=PEEK(PEEK_L(wwd1)+$12)
5540  SELect ON y
5550   =2:acty=x:ht=$100
5555   =1:acty=x:ht=0
5560   =ESC:acty=2
5570   =Move_Win:acty=0
5575   =CODE('z'),CODE('Z'):acty=1
5580   =CODE('l'),CODE("L"):acty=3
5590   =CODE('s'),CODE("S"):Set_acty 4
5600   =CODE('r'),CODE("R"):Set_acty 5
5610   =CODE('n'),CODE("N"):acty=6
5620   =CODE('m'),CODE("M"):Set_acty 7
5630   =CODE('d'),CODE("D"):acty=8:ht=-1
5640   =CF1:acty=1
5650  END SELect
5652 END DEFine
5654 :
5656 DEFine PROCedure Set_acty(k)
5658  IF PEEK(addr_litm(wwd)+k)<>$10:acty=k
5660 END DEFine
5670 :
5680 DEFine FuNction Want_Over
5690  REMark returns 1 if file can be overwritten
5695  LOCal x,lp,fg%,a$(34)
5700  Noise:OVER#5,0:PAPER#5,RED%:INK#5,GREEN%:CLS#5
5710  PRINT#5,"          Save State"
5715  fg%=LEN(sg$):a$="":IF fg%<33:a$=FILL$(" ",(33-fg%) DIV 2)
5717  INK#5,WHITE%:AT#5,3,0:PRINT#5,a$&sg$:INK#5,GREEN%
5720  AT#5,5,13:PRINT#5,"exists"
5730  PRINT#5,"Do you want to overwrite it, Y/N?"
5740  REPeat lp
5750   x=CODE(INKEY$(#5,-1))
5760   SELect ON x
5770   =CODE('y'),CODE('Y'):ans=1:EXIT lp
5780   =CODE('n'),CODE('N'):ans=0:EXIT lp
5790   END SELect
5800  END REPeat lp
5810  Prt4 2:RETurn ans
5820 END DEFine
5830 :
5840 DEFine PROCedure Ask_Deft
5850  REMark This asks if directory or extension required.
5860  REMark This is needed if d is pressed.
5870  LOCal x,lp
5880  OVER#5,0:PAPER#5,RED%:INK#5,GREEN%:CLS#5
5890  PRINT#5,"       Default Setting"\\
5900  PRINT#5,"Do you want to set"\"    the directory (d)"\" or the extension (e)?"
5910  REPeat lp
5920   x=CODE(INKEY$(#5,-1))
5930   SELect ON x
5940    =CODE('d'),CODE('D'):Set_Dir:EXIT lp
5950    =CODE('e'),CODE('E'):Set_Ext:EXIT lp
5960   END SELect
5970  END REPeat lp
5980  Prt4 2
5990 END DEFine
6000 :
6010 DEFine FuNction QM_Here
6020  IF NOT qm_set
6030   adrds=BASIC_ADR(BASIC_INDEX%("DIR_SELECT$"))
6040   IF adrds>0
6050    qm_set=1
6060    adrfs=BASIC_ADR(BASIC_INDEX%("FILE_SELECT$"))
6070    vadr1=TURBO_V("TURBO_DUMMY$")
6080   END IF
6090  END IF
6100  RETurn qm_set
6110 END DEFine
6120 :
6130 DEFine FuNction Fle_Sel$(a$,b$,c$,d$)
6140  POKE_L vadr1,adrfs
6150  RETurn TURBO_DUMMY$(a$,b$,c$,d$)
6160 END DEFine
6170 :
6180 DEFine FuNction Dir_Sel$(a$)
6190  POKE_L vadr1,adrds
6200  RETurn TURBO_DUMMY$(a$)
6210 END DEFine
6220 :
6230 DEFine FuNction Do_NoQM$
6240  LOCal a$(42),b$(42)
6245  IF pfl$="":b$=dr$&tl$:ELSE :b$=pfl$
6250  PAPER#5,WHITE%:CLS#5
6260  INK#5,BLACK%:PRINT#5,"Give the filename:"
6270  INK#5,RED%:AT#5,2,0
6280  a$=EDIT$(#5,b$)
6290  RETurn a$
6300 END DEFine
6320 :
6325 DEFine FuNction Say_Er(k)
6330  REMark Report initial error
6340  WINDOW#0,180,84,(xz%-180) DIV 2,(yz%-84) DIV 2
6350  PAPER#0,RED%:INK#0, GREEN%:BORDER#0,2,RED%,GREEN%,0:CLS#0
6360  DIM hd$(9,40)
6370  RESTORE 6510
6380  FOR x=0 TO 9:READ hd$(x)
6390  Mid_Prt 0:PRINT#0:INK#0,WHITE%
6400  SELect ON k
6410   =1:Mid_Prt 1:Mid_Prt 2
6420   =2:Mid_Prt 3
6430   =3:Mid_Prt 4
6440   =4:Mid_Prt 5
6450   =5:Mid_Prt 8:RETurn Do_Caps
6460  END SELect
6470  Mid_Prt 6:SUSPEND_TASK 150:Mid_Prt 7:SUSPEND_TASK 150
6480  RETurn 1
6490 END DEFine
6500 :
6510 DATA "SUDOKU v1.07"
6520 DATA "Your screen is too small"
6530 DATA "It must be at least 706x406","Pointer Environment not there"
6540 DATA "Mode must be 4, 32 or 33","Not SMSQ"
6550 DATA "Sorry!","Goodbye."
6560 DATA "Please turn CAPS LOCK off.","Thank you."
6570 :
6580 DEFine FuNction Fail_Test
6590  REMark tests that size is bigger than 706x406
6600  REMark tests that GD2 colours are there (mode 33 or 32)
6610  REMark tests that SMSQE is there
6620  LOCal k,rong
6630  k=W_MAX:rong=0
6640  xz%=get_x%(k):yz%=get_y%(k)
6650  IF xz%<706:rong=1
6660  IF NOT rong:IF yz%<406:rong=1
6670  IF NOT rong:IF NOT IS_POINTER%:rong=2
6680  IF NOT rong:rong=Chk_Mode
6690  IF NOT rong:k=PEEK_L(SYS_VARS):IF k<>$534D5351:rong=4
6710  IF rong: RETurn Say_Er(rong):ELSE RETurn 0
6720 END DEFine
6730 :
6740 DEFine PROCedure Mid_Prt(o%)
6750  PRINT#0,FILL$(' ',(28-LEN(hd$(o%))) DIV 2)&hd$(o%)
6760 END DEFine
6770 :
6780 DEFine FuNction Complete
6790  LOCal x,y
6800  FOR x=0 TO 8
6810   FOR y=0 TO 8
6820    IF sn%(x,y)>0:RETurn 0
6830   END FOR y
6840  END FOR x
6850  RETurn 1
6860 END DEFine
6870 :
6880 DEFine PROCedure Prt1
6890  REMark Prints the grid
6900  LOCal x
6905  OVER#3,0
6910  FOR x=1,2:BLOCK#3,4,382,152*x,0,RED%:BLOCK#3,464,2,0,126*x,RED%
6915  OVER#3,-1
6920 END DEFine
6930 :
6940 DEFine PROCedure Do_Date
6950  LOCal tmpt
6960  tmpt=DATE-date1
6970  IF tmpt=te:RETurn
6980  te=tmpt:Pr_Time 0
6990 END DEFine
7000 :
7010 DEFine PROCedure Pr_Time(o%)
7012  IF o%=1:PAPER#7,RED%:INK#7,WHITE%
7014  IF te>60*999:PAPER#7,WHITE%:INK#7,RED%
7016  CLS#7
7018  IF te<=16*999
7020   PRINT#7,FDEC$(te DIV 60,3,0)&":"&FDEC$(te MOD 60,2,0);
7022  ELSE
7024   PRINT#7,">16hrs";
7026  END IF
7028 END DEFine
7030 :
7060 DEFine FuNction Chk(a,b,n)
7070  REMark The number n is to be set at a,b
7080  REMark An error is signalled if the number
7090  REMark is already there
7100  LOCal lx%,ly%,hx%,hy%,sx%,sy%
7110   lx%=a:hx%=a:ly%=0:hy%=8:sx%=1:sy%=1:IF Alt_New1(1):RETurn 0
7120   lx%=0:hx%=8:ly%=b:hy%=b:IF Alt_New1(1):RETurn 0
7130   lx%=Lms(a,1):hx%=Lms(a,2):ly%=Lms(b,1):hy%=Lms(b,2):sx%=hx%-lx%:sy%=hy%-ly%
7140   RETurn Alt_New1(1)^^1
7150 END DEFine
7160 :
7170 DEFine PROCedure Set_Defaults
7180  RESTORE 9000
7182  REMark inp%=0 for Pointer initial position, 1 for centre
7184  REMark nse%=0 for Noise on ,1 for suppress
7186  REMark bep%=0 for Beep on, 1 for suppress
7190  READ inp%,nse%,bep%
7200  READ tl$:READ tl$
7210  RESTORE 9008:READ dr$:READ dr$
7220 END DEFine
7230 :
7240 DEFine FuNction Do_DNoQM$
7250  LOCal a$(42)
7260  PAPER#5,WHITE%:CLS#5
7270  INK#5,BLACK%:PRINT#5,"Give the default directory:"
7280  INK#5,RED%:AT#5,2,0
7300  a$=EDIT$(#5,dr$)
7350  RETurn a$
7360 END DEFine
7370 :
7380 DEFine PROCedure Wm_Ik(a,b)
7382  IF md_type
7384   INK#a,4^^md4ink%(min%(max%((cgn%-1) DIV 3,0),9))
7386  ELSE
7390   POKE_L vadr2,adwmi
7400   TURBO_DUMMYP#a,b
7405  END IF
7410 END DEFine
7420 :
7430 DEFine PROCedure Wm_Pr(a,b)
7432  IF md_type
7434   PAPER#a,GREEN%
7436  ELSE
7440   POKE_L vadr2,adwmp
7450   TURBO_DUMMYP#a,b
7455  END IF
7460 END DEFine
7470 :
7480 DEFine FuNction Scr_Xlm
7490  POKE_L vadr3,adscx
7500  RETurn TURBO_DUMMYF
7510 END DEFine
7520 :
7530 DEFine FuNction Scr_Ylm
7540  POKE_L vadr3,adscy
7550  RETurn TURBO_DUMMYF
7560 END DEFine
7570 :
7580 DEFine PROCedure Noise1
7590  IF bep%=0:BEEP 2000,20,300,45,6
7600 END DEFine
7610 :
7620 DEFine FuNction Chk_Mode
7630  LOCal k,ans
7640  k=MODE%:ans=0
7650  SELect ON k
7660   =4:md_type=1
7670   =32,33:md_type=0
7680   =REMAINDER :ans=3
7690  END SELect
7700  RETurn ans
7710 END DEFine
7720 :
8998 DATA "$`#*","sud       !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
9000 DATA -4444:REMark Initial position
9002 DATA -4444:REMark Noise
9004 DATA -4444:REMark Beep
9006 DATA "XX","00000":REMark Tail
9008 DATA "XX","11111111111111111111111111111111111111111":REMark Directory
10000  DEBUG 1
10010 DEFine PROCedure ss
10020  SAVE win1_misc_sud108_bas,100 TO 19999
10030 END DEFine
10040 :
10050 DEFine PROCedure st
10060  TYPE_IN "Remove_Sprite:remove_menu"&CHR$(10)
10070 END DEFine
10080 :
10090 DEFine PROCedure mr
10100  TYPE_IN "MERGE win1_qptr_basic_tptr508_bas"&CHR$(10)
10110 END DEFine
10120 DEBUG 0
10130 :
10140 DEFine PROCedure puse
10150  LOCal a$(2)
10160  OPEN#20,con
10170  a$=INKEY$(#20,-1)
10180  CLOSE#20
10190 END DEFine
10200 :
19600 DATA 11287
19601 DATA 169,17747,17162,21333,17487,19285,2638,25975,2642,25971,25972,2643,24950,25866,19567
19602 DATA 24932,2637,24946,27402,17510,27764,2643,25972,8289,8302,25975,8307,29793,29797,2633
19603 DATA 28275,25970,29728,24942,29559,25970,29450,21093,29541,29728,26990,26996,26977,27680,29556
19604 DATA 24948,25866,19567,24932,8289,8307,29793,29797,2643,24950,25888,24864,29556,24948,25866
19605 DATA 21349,29728,25705,29285,25460,28530,30986,21349,29728,25976,29797,28275,26991,28170,19823
19606 DATA 30309,8311,26990,25711,30474,21356,25957,28682,20853,26996,2596,-19933,-1501,-1024,1792
19607 DATA 8739,-476,22037,-7146,21017,-18403,8224,-29692,-8184,9749,-11242,16921,-22499,3616,32291
19608 DATA -5631,0,0,4096,3328,1024,256,0,3072,0,15360,0,27648,0,12
19609 DATA 3072,12,3072,12,3072,13,3456,-32691,19888,-20371,28084,-19347,28084,-19345,28668
19610 DATA -897,32764,-961,16380,-961,16376,-2017,8176,-4084,3072,30,7680,30,7680,31
19611 DATA 8064,-32673,24544,-7937,-4,-769,-2,-257,-2,-257,-2,-257,-2,-385,32766
19612 DATA -385,32764,-961,16376,-2047,256,0,8192,3328,1024,256,0,3072,0,28672
19613 DATA 0,-11264,0,0,0,0,160,-4096,0,0,160,-4096,0,0,160
19614 DATA -4096,0,0,162,-3200,-16384,32,12450,-3190,-12544,40,15522,-3190,-12512,12328
19615 DATA 15522,-3190,-12512,12328,15530,-86,-96,-4054,16298,-86,-96,-4086,4010,-86,-96
19616 DATA -4086,4010,-86,-128,-16382,938,-86,-256,0,240,-4096,0,3,1020,-1024
19617 DATA 0,3,1020,-1024,0,3,1023,-64,-16384,51,13311,-4,-1024,255,-1
19618 DATA -1,-16,-3841,-1,-1,-4,-769,-1,-1,-4,-769,-1,-1,-4,-769
19619 DATA -1,-1,-4,-961,16383,-1,-4,-961,16383,-1,-16,-4081,4095,-1,-64
19620 DATA -16382,8448,0,3840,3328,1024,256,0,3072,1,-22528,0,0,0,0
19621 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19622 DATA 0,0,255,-257,-512,0,0,0,0,0,0,0,0,0,0
19623 DATA 0,0,0,255,-257,-512,0,0,0,0,0,0,0,0,0
19624 DATA 0,0,0,0,255,-257,-512,0,0,0,0,0,0,0,0
19625 DATA 0,0,0,0,0,255,-257,-512,255,-257,-512,0,0,0,0
19626 DATA 0,0,0,255,-512,0,255,-257,-512,255,-257,-512,255,-257,-512
19627 DATA 0,0,0,0,255,-257,-512,255,-257,-512,255,-257,-512,255,-257
19628 DATA -512,255,-512,0,0,255,-257,-512,255,-257,-512,255,-257,-512,255
19629 DATA -257,-512,255,-512,0,0,255,-257,-512,255,-257,-257,-257,-257,-257
19630 DATA -257,-257,-257,-257,-512,0,0,255,-257,-257,-257,-257,-257,-257,-257
19631 DATA -257,-257,-257,-257,-257,-512,0,0,0,255,-257,-257,-257,-257,-257
19632 DATA -257,-257,-257,-257,-257,-257,-512,0,0,0,255,-257,-257,-257,-257
19633 DATA -257,-257,-257,-257,-257,-257,-512,0,0,0,0,0,255,-257,-257
19634 DATA -257,-257,-257,-257,-257,-257,-512,0,0,0,0,0,0,0,255
19635 DATA -1,-256,0,0,0,0,0,0,0,0,0,0,0,0,255
19636 DATA -1,-1,-1,-256,0,0,0,0,0,0,0,0,0,0,0
19637 DATA 255,-1,-1,-1,-256,0,0,0,0,0,0,0,0,0,0
19638 DATA 0,255,-1,-1,-1,-1,-1,-256,0,0,0,0,0,0,0
19639 DATA 255,-256,255,-1,-1,-1,-1,-1,-1,-1,-256,0,0,0,0
19640 DATA 255,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-256
19641 DATA 0,255,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
19642 DATA -1,-256,255,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
19643 DATA -1,-1,-256,255,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
19644 DATA -1,-1,-1,-256,255,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
19645 DATA -1,-1,-1,-1,-256,0,255,-1,-1,-1,-1,-1,-1,-1,-1
19646 DATA -1,-1,-1,-1,-1,-256,0,255,-1,-1,-1,-1,-1,-1,-1
19647 DATA -1,-1,-1,-1,-1,-256,0,0,0,255,-1,-1,-1,-1,-1
19648 DATA -1,-1,-1,-1,-1,-256,0,0,0,3171,28788,24424,24942,25695,29552
19649 DATA 29185,32,0,1280,1280,512,512,0,3072,0,7168,0,11264,0,32
19650 DATA 8192,80,20480,32,8192,0,0,32,8192,112,28672,248,-2048,112,28672
19651 DATA 32,8192,1,64,0,2304,1792,1024,768,0,3072,0,9216,0,15360
19652 DATA 0,8,2048,20,5120,34,8704,20,5120,8,2048,0,0,8,2048
19653 DATA 28,7168,62,15872,127,32512,62,15872,28,7168,8,2048,1,288,0
19654 DATA 3072,1280,512,512,0,3072,0,7168,0,11264,0,8,3072,34,13056
19655 DATA 8,3072,0,0,12,3072,63,16128,255,-64,-16321,16128,12,3072,1
19656 DATA 320,0,5120,2304,1024,768,0,3072,0,20480,0,-27648,0,0,0
19657 DATA 0,128,-16384,0,2,800,12288,0,8,3080,3072,0,32,12290,768
19658 DATA 0,8,3080,3072,0,2,800,12288,0,0,128,-16384,0,0,0
19659 DATA 0,0,0,192,-16384,0,3,1008,-4096,0,15,4092,-1024,0,63
19660 DATA 16383,-256,0,255,-1,-64,-16384,63,16383,-256,0,15,4092,-1024,0
19661 DATA 3,1008,-4096,0,0,192,-16384,0,2,8480,0,1280,1280,512,512
19662 DATA 0,3072,0,17408,0,31744,0,0,0,0,0,0,0,255,-512
19663 DATA 0,0,0,255,-512,255,-512,0,0,0,255,-512,0,0,0
19664 DATA 0,0,0,0,0,0,0,255,-256,0,0,0,255,-1,-1
19665 DATA -256,0,255,-1,-1,-1,-1,-256,0,255,-1,-1,-256,0,0
19666 DATA 0,255,-256,0,0,2,8512,0,2304,1792,1024,768,0,3072,0
19667 DATA -27648,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19668 DATA 0,255,-512,0,0,0,0,0,0,0,255,-512,255,-512,0
19669 DATA 0,0,0,0,255,-512,0,0,255,-512,0,0,0,0,0
19670 DATA 255,-512,255,-512,0,0,0,0,0,0,0,255,-512,0,0
19671 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19672 DATA 0,255,-256,0,0,0,0,0,0,0,255,-1,-1,-256,0
19673 DATA 0,0,0,0,255,-1,-1,-1,-1,-256,0,0,0,255,-1
19674 DATA -1,-1,-1,-1,-1,-256,0,0,0,255,-1,-1,-1,-1,-256
19675 DATA 0,0,0,0,0,255,-1,-1,-256,0,0,0,0,0,0
19676 DATA 0,255,-256,0,0,0,0,0,2915,28788,24420,26977,24435,28786,1
19677 DATA 3,0,3584,2560,1536,1024,0,3072,0,12288,0,21504,0,7,128
19678 DATA 28,2016,-32708,8176,-8068,16376,-3972,16376,-4036,8176,-8164,2016,-32761,128,0
19679 DATA 0,7,1920,-32737,8160,-8129,16368,-3969,32760,-1793,-4,-769,-4,-897,32760
19680 DATA -1985,16368,-4065,8160,-8185,1920,-32767,6,0,3584,2560,1536,1024,0,3072
19681 DATA 0,12288,0,21504,0,7,128,31,1888,-32706,7984,-8068,16248,-3976,16376
19682 DATA -4047,8176,-8165,2016,-32761,128,0,0,7,1920,-32737,8160,-8129,16368,-3969
19683 DATA 32760,-1793,-4,-769,-4,-897,32760,-1985,16368,-4065,8160,-8185,1920,-32767,9
19684 DATA 0,3584,2560,1536,1024,0,3072,0,12288,0,21504,0,7,128,31
19685 DATA 2016,-32705,8176,-8096,16152,-4000,16152,-4033,8176,-8161,2016,-32761,128,0,0
19686 DATA 7,1920,-32737,8160,-8129,16368,-3969,32760,-1793,-4,-769,-4,-897,32760,-1985
19687 DATA 16368,-4065,8160,-8185,1920,-32767,12,0,3584,2560,1536,1024,0,3072,0
19688 DATA 12288,0,21504,0,7,128,27,2016,-32719,8176,-8072,16376,-3972,16248,-4034
19689 DATA 7984,-8161,1888,-32761,128,0,0,7,1920,-32737,8160,-8129,16368,-3969,32760
19690 DATA -1793,-4,-769,-4,-897,32760,-1985,16368,-4065,8160,-8185,1920,-32767,259,0
19691 DATA 7168,2560,3072,1024,0,3072,0,22528,0,-23552,0,0,0,0,42
19692 DATA 128,0,2,160,15016,-16384,10,928,-1366,-1024,42,4000,-1366,-128,42
19693 DATA 4000,-1366,-128,10,928,-1366,-1024,2,160,15016,-16384,0,42,128,0
19694 DATA 0,0,0,0,0,63,16320,-16384,3,1023,-4,-1024,15,4095,-1
19695 DATA -256,63,16383,-1,-64,-16129,-1,-1,-16,-3841,-1,-1,-16,-4033,16383
19696 DATA -1,-64,-16369,4095,-1,-256,3,1023,-4,-1024,0,63,16320,-16384,1
19697 DATA 262,0,7168,2560,3072,1024,0,3072,0,22528,0,-23552,0,0,0
19698 DATA 0,42,128,0,2,170,16168,-32768,10,936,-502,-21504,42,4000,-1494
19699 DATA -16512,42,3968,-5462,-128,10,770,-21590,-1024,2,138,12200,-16384,0,42
19700 DATA 128,0,0,0,0,0,0,63,16320,-16384,3,1023,-4,-1024,15
19701 DATA 4095,-1,-256,63,16383,-1,-64,-16129,-1,-1,-16,-3841,-1,-1,-16
19702 DATA -4033,16383,-1,-64,-16369,4095,-1,-256,3,1023,-4,-1024,0,63,16320
19703 DATA -16384,1,265,0,7168,2560,3072,1024,0,3072,0,22528,0,-23552,0
19704 DATA 0,0,0,42,128,0,2,170,16296,-16384,10,938,-86,-1024,40
19705 DATA 3584,-22014,-21632,40,3584,-22014,-21632,10,938,-86,-1024,2,170,16296,-16384
19706 DATA 0,42,128,0,0,0,0,0,0,63,16320,-16384,3,1023,-4
19707 DATA -1024,15,4095,-1,-256,63,16383,-1,-64,-16129,-1,-1,-16,-3841,-1
19708 DATA -1,-16,-4033,16383,-1,-64,-16369,4095,-1,-256,3,1023,-4,-1024,0
19709 DATA 63,16320,-16384,1,268,0,7168,2560,3072,1024,0,3072,0,22528,0
19710 DATA -23552,0,0,0,0,42,128,0,2,138,12200,-16384,10,770,-21590
19711 DATA -1024,42,3968,-5462,-128,42,4000,-1494,-16512,10,936,-502,-21504,2,170
19712 DATA 16168,-32768,0,42,128,0,0,0,0,0,0,63,16320,-16384,3
19713 DATA 1023,-4,-1024,15,4095,-1,-256,63,16383,-1,-64,-16129,-1,-1,-16
19714 DATA -3841,-1,-1,-16,-4033,16383,-1,-64,-16369,4095,-1,-256,3,1023,-4
19715 DATA -1024,0,63,16320,-16384,2,8451,0,3584,2560,1536,1024,0,3072,1
19716 DATA 8192,2,13312,0,0,0,0,0,0,0,0,0,0,0,0
19717 DATA 0,0,0,0,0,0,248,248,248,248,0,0,0,0,0
19718 DATA 0,0,0,248,248,255,-505,-16377,-16129,-264,248,0,0,0,0
19719 DATA 0,248,255,-257,-257,-505,-16377,-16129,-257,-257,-264,0,0,0,248
19720 DATA 255,-257,-257,-257,-505,-16377,-16129,-257,-257,-257,-264,0,0,248,255
19721 DATA -257,-257,-257,-505,-16377,-16129,-257,-257,-257,-264,0,0,0,248,255
19722 DATA -257,-257,-505,-16377,-16129,-257,-257,-264,0,0,0,0,0,248,248
19723 DATA 255,-505,-16377,-16129,-264,248,0,0,0,0,0,0,0,0,248
19724 DATA 248,248,248,0,0,0,0,0,0,0,0,0,0,0,0
19725 DATA 0,0,0,0,0,0,0,0,0,0,0,0,255,-1,-1
19726 DATA -1,-256,0,0,0,0,0,0,0,255,-1,-1,-1,-1,-1
19727 DATA -1,-1,-256,0,0,0,0,255,-1,-1,-1,-1,-1,-1,-1
19728 DATA -1,-1,-256,0,0,255,-1,-1,-1,-1,-1,-1,-1,-1,-1
19729 DATA -1,-1,-256,255,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
19730 DATA -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
19731 DATA -1,-256,255,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-256
19732 DATA 0,0,255,-1,-1,-1,-1,-1,-1,-1,-1,-1,-256,0,0
19733 DATA 0,0,255,-1,-1,-1,-1,-1,-1,-1,-256,0,0,0,0
19734 DATA 0,0,0,255,-1,-1,-1,-256,0,0,0,0,2,8454,0
19735 DATA 3584,2560,1536,1024,0,3072,1,8192,2,13312,0,0,0,0,0
19736 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,248,248
19737 DATA 248,248,0,0,0,0,0,0,0,0,248,248,255,-257,-257
19738 DATA -505,-16136,248,0,0,0,0,0,248,255,-257,-257,-257,-505,-16377
19739 DATA -16377,-16129,-264,0,0,0,248,255,-257,-257,-257,-505,-16377,-16377,-16129
19740 DATA -257,-257,-264,0,0,248,255,-257,-257,-505,-16377,-16377,-16129,-257,-257
19741 DATA -257,-264,0,0,0,248,255,-505,-16377,-16377,-16129,-257,-257,-257,-264
19742 DATA 0,0,0,0,0,248,248,7,-16129,-257,-257,-264,248,0,0
19743 DATA 0,0,0,0,0,0,248,248,248,248,0,0,0,0,0
19744 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19745 DATA 0,0,0,0,255,-1,-1,-1,-256,0,0,0,0,0,0
19746 DATA 0,255,-1,-1,-1,-1,-1,-1,-1,-256,0,0,0,0,255
19747 DATA -1,-1,-1,-1,-1,-1,-1,-1,-1,-256,0,0,255,-1,-1
19748 DATA -1,-1,-1,-1,-1,-1,-1,-1,-1,-256,255,-1,-1,-1,-1
19749 DATA -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
19750 DATA -1,-1,-1,-1,-1,-1,-1,-1,-256,255,-1,-1,-1,-1,-1
19751 DATA -1,-1,-1,-1,-1,-1,-256,0,0,255,-1,-1,-1,-1,-1
19752 DATA -1,-1,-1,-1,-256,0,0,0,0,255,-1,-1,-1,-1,-1
19753 DATA -1,-1,-256,0,0,0,0,0,0,0,255,-1,-1,-1,-256
19754 DATA 0,0,0,0,2,8457,0,3584,2560,1536,1024,0,3072,1,8192
19755 DATA 2,13312,0,0,0,0,0,0,0,0,0,0,0,0,0
19756 DATA 0,0,0,0,0,248,248,248,248,0,0,0,0,0,0
19757 DATA 0,0,248,248,255,-257,-257,-257,-264,248,0,0,0,0,0
19758 DATA 248,255,-257,-257,-257,-257,-257,-257,-257,-264,0,0,0,248,255
19759 DATA -505,-16377,-16377,-16377,-16377,-16377,-16377,-16377,-16129,-264,0,0,248,255,-505
19760 DATA -16377,-16377,-16377,-16377,-16377,-16377,-16377,-16129,-264,0,0,0,248,255,-257
19761 DATA -257,-257,-257,-257,-257,-257,-264,0,0,0,0,0,248,248,255
19762 DATA -257,-257,-257,-264,248,0,0,0,0,0,0,0,0,248,248
19763 DATA 248,248,0,0,0,0,0,0,0,0,0,0,0,0,0
19764 DATA 0,0,0,0,0,0,0,0,0,0,0,255,-1,-1,-1
19765 DATA -256,0,0,0,0,0,0,0,255,-1,-1,-1,-1,-1,-1
19766 DATA -1,-256,0,0,0,0,255,-1,-1,-1,-1,-1,-1,-1,-1
19767 DATA -1,-256,0,0,255,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
19768 DATA -1,-256,255,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
19769 DATA -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
19770 DATA -256,255,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-256,0
19771 DATA 0,255,-1,-1,-1,-1,-1,-1,-1,-1,-1,-256,0,0,0
19772 DATA 0,255,-1,-1,-1,-1,-1,-1,-1,-256,0,0,0,0,0
19773 DATA 0,0,255,-1,-1,-1,-256,0,0,0,0,2,8460,0,3584
19774 DATA 2560,1536,1024,0,3072,1,8192,0,0,0,0,0,0,0,0
19775 DATA 0,0,0,0,0,0,0,0,0,0,0,0,248,248,248
19776 DATA 248,0,0,0,0,0,0,0,0,248,248,7,-16129,-257,-257
19777 DATA -264,248,0,0,0,0,0,248,255,-505,-16377,-16377,-16129,-257,-257
19778 DATA -257,-264,0,0,0,248,255,-257,-257,-505,-16377,-16377,-16129,-257,-257
19779 DATA -257,-264,0,0,248,255,-257,-257,-257,-505,-16377,-16377,-16129,-257,-257
19780 DATA -264,0,0,0,248,255,-257,-257,-257,-505,-16377,-16377,-16129,-264,0
19781 DATA 0,0,0,0,248,248,255,-257,-257,-505,-16136,248,0,0,0
19782 DATA 0,0,0,0,0,248,248,248,248,0,0,0,0,0,0
19783 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19784 DATA 0,0,0,255,-1,-1,-1,-256,0,0,0,0,0,0,0
19785 DATA 255,-1,-1,-1,-1,-1,-1,-1,-256,0,0,0,0,255,-1
19786 DATA -1,-1,-1,-1,-1,-1,-1,-1,-256,0,0,255,-1,-1,-1
19787 DATA -1,-1,-1,-1,-1,-1,-1,-1,-256,255,-1,-1,-1,-1,-1
19788 DATA -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
19789 DATA -1,-1,-1,-1,-1,-1,-1,-256,255,-1,-1,-1,-1,-1,-1
19790 DATA -1,-1,-1,-1,-1,-256,0,0,255,-1,-1,-1,-1,-1,-1
19791 DATA -1,-1,-1,-256,0,0,0,0,255,-1,-1,-1,-1,-1,-1
19792 DATA -1,-256,0,0,0,0,0,0,0,255,-1,-1,-1,-256,0
19793 DATA 0,0,0,0,3171,28788,24419,26994,25439,29552,29185,0,0,512,256
19794 DATA 0,0,0,3072,0,3072,0,3072,0,0,0,1,256,0,1024
19795 DATA 256,0,0,0,3072,0,3072,0,3072,0,0,0,2,8448,0
19796 DATA 512,256,0,0,0,3072,0,3072,0,0,0,0,0,0,2915
19797 DATA 28788,24430,30060,24435,28786,1,0,0,4608,1792,0,768,0,3072,0
19798 DATA 16384,0,29698,512,0,0,12,3073,384,-32768,60,15366,1536,0,255
19799 DATA -8,-2048,0,60,15366,1536,0,12,3073,384,-32768,2,512,0,0
19800 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19801 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,1,256
19802 DATA 0,9216,1792,0,768,0,3072,0,23552,0,-21504,8,3072,0,0
19803 DATA 0,0,160,-4096,2,896,-16384,10,4000,-4096,40,15360,0,170,-86
19804 DATA -86,-128,-16384,0,10,4000,-4096,40,15360,0,0,160,-4096,2,896
19805 DATA -16384,0,8,3072,0,0,0,0,0,0,0,0,0,0,0
19806 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19807 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19808 DATA 0,0,0,0,2,8448,0,4352,1792,0,768,0,3072,1,1024
19809 DATA 0,0,0,0,0,0,0,255,-512,0,0,0,0,0,0
19810 DATA 0,0,0,0,0,0,0,0,255,-257,-512,0,0,0,0
19811 DATA 0,0,0,0,255,-257,-512,0,0,255,-257,-257,-257,-512,0
19812 DATA 0,0,0,0,0,255,-257,-512,0,0,255,-257,-257,-257,-257
19813 DATA -257,-257,-257,-257,-257,-257,-257,-257,-512,0,0,0,0,0,0
19814 DATA 255,-257,-257,-257,-512,0,0,0,0,0,0,255,-257,-512,0
19815 DATA 0,0,0,0,0,255,-257,-512,0,0,0,0,0,0,0
19816 DATA 0,255,-257,-512,0,0,0,0,0,0,255,-512,0,0,0
19817 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19818 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19819 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19820 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19821 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19822 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19823 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19824 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19825 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,3171
19826 DATA 28788,24428,25958,29791,29552,29185,0,0,4608,1792,4096,768,0,3072,0
19827 DATA 16384,0,29696,32,8192,0,192,-16360,6144,0,48,12318,7680,0,15
19828 DATA 4095,-128,-32768,48,12318,7680,0,192,-16360,6144,0,0,32,8192,0
19829 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19830 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,1,256
19831 DATA 0,9216,1792,4096,768,0,3072,0,23552,0,-21504,0,8,3072,0
19832 DATA 0,160,-4096,2,896,-16384,0,10,3840,2,936,-1024,0,0,170
19833 DATA -86,-86,-128,-16384,10,3840,2,936,-1024,0,160,-4096,2,896,-16384
19834 DATA 0,0,0,8,3072,0,0,0,0,0,0,0,0,0,0
19835 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19836 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19837 DATA 0,0,0,0,2,8448,0,4352,1792,4096,768,0,3072,1,1024
19838 DATA 0,0,0,0,0,0,0,0,0,0,0,255,-512,0,0
19839 DATA 0,0,0,0,255,-257,-512,0,0,0,0,0,0,0,0
19840 DATA 255,-257,-512,0,0,0,0,0,0,255,-257,-512,0,0,0
19841 DATA 0,0,0,255,-257,-257,-257,-512,0,0,0,0,0,0,255
19842 DATA -257,-257,-257,-257,-257,-257,-257,-257,-257,-257,-257,-257,-512,0,0
19843 DATA 255,-257,-512,0,0,0,0,0,0,255,-257,-257,-257,-512,0
19844 DATA 0,255,-257,-512,0,0,0,0,0,0,0,0,255,-257,-512
19845 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,255
19846 DATA -512,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19847 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19848 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19849 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19850 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19851 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19852 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19853 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19854 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,3427
19855 DATA 28788,24434,26983,26740,24435,28786,1,0,0,3072,2816,1024,0,0,3072
19856 DATA 0,13312,0,23556,1024,14,3584,31,7936,63,16256,-32668,25792,-16252,-31712
19857 DATA 8196,1024,4,1024,10,2560,17,4352,32,8320,-32768,0,0,0,0
19858 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19859 DATA 0,0,1,256,0,6144,2816,1024,0,0,3072,0,24576,0,-19456
19860 DATA 32,12288,0,0,168,-1024,0,2,938,-256,0,10,4010,-128,-16384
19861 DATA 40,15392,12448,-4096,128,-16352,12296,3072,0,32,12288,0,0,32,12288
19862 DATA 0,0,136,-13312,0,2,770,768,0,8,3072,128,-16384,0,0
19863 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19864 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19865 DATA 0,0,0,0,0,0,0,0,0,0,0,0,2,8448,0
19866 DATA 2816,2816,1024,0,0,3072,1,4096,0,0,0,0,0,0,255
19867 DATA -512,0,0,0,0,0,0,0,0,0,255,-257,-257,-512,0
19868 DATA 0,0,0,0,0,0,255,-257,-257,-257,-257,-512,0,0,0
19869 DATA 0,0,255,-257,-257,-257,-257,-257,-257,-512,0,0,0,255,-257
19870 DATA -512,0,255,-512,0,255,-257,-512,0,255,-512,0,0,0,255
19871 DATA -512,0,0,0,255,-512,0,0,0,0,0,255,-512,0,0
19872 DATA 0,0,0,0,0,0,0,0,255,-512,0,0,0,0,0
19873 DATA 0,0,0,0,255,-512,255,-512,0,0,0,0,0,0,0
19874 DATA 255,-512,0,0,255,-512,0,0,0,0,0,255,-512,0,0
19875 DATA 0,0,255,-512,0,0,0,0,0,0,0,0,0,0,0
19876 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19877 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19878 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19879 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19880 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19881 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19882 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19883 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19884 DATA 0,0,0,0,2659,28788,24437,28767,29552,29185,0,0,3072,2816,1024
19885 DATA 2560,0,3072,0,13312,0,23584,8320,-32751,4352,10,2560,4,1024,4
19886 DATA 1024,132,-31712,8292,25792,-16321,16256,-32737,7936,14,3584,4,1024,0,0
19887 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19888 DATA 0,0,0,0,0,1,256,0,6144,2816,1024,2560,0,3072,0
19889 DATA 24576,0,-19448,3072,128,-16384,2,770,768,0,0,136,-13312,0,0
19890 DATA 32,12288,0,0,32,12288,0,128,-16352,12296,3072,40,15392,12448,-4096
19891 DATA 10,4010,-128,-16384,2,938,-256,0,0,168,-1024,0,0,32,12288
19892 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19893 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19894 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19895 DATA 2,8448,0,2816,2816,1024,2560,0,3072,1,4096,0,0,0,255
19896 DATA -512,0,0,0,0,255,-512,0,0,0,0,0,255,-512,0
19897 DATA 0,255,-512,0,0,0,0,0,0,0,255,-512,255,-512,0
19898 DATA 0,0,0,0,0,0,0,0,255,-512,0,0,0,0,0
19899 DATA 0,0,0,0,0,255,-512,0,0,0,0,0,255,-512,0
19900 DATA 0,0,255,-512,0,0,0,255,-512,0,255,-257,-512,0,255
19901 DATA -512,0,255,-257,-512,0,0,0,255,-257,-257,-257,-257,-257,-257
19902 DATA -512,0,0,0,0,0,255,-257,-257,-257,-257,-512,0,0,0
19903 DATA 0,0,0,0,255,-257,-257,-512,0,0,0,0,0,0,0
19904 DATA 0,0,255,-512,0,0,0,0,0,0,0,0,0,0,0
19905 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19906 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19907 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19908 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19909 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19910 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19911 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19912 DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
19913 DATA 0,0,0,0,0,0,0,3171,28788,24420,28535,28255,29552,29439,-1
19914 DATA -255,0,0,1536,2048,0,0,0,3072,0,10240,0,0,0,24
19915 DATA 30720,24,30720,0,0,120,30720,120,30720,120,30720,0,0,120,30720
19916 DATA 252,-1024,252,-1024,252,-1024,252,-1024,252,-1024,252,-1024,120,30720,1
19917 DATA 0,0,1536,2048,0,0,0,3072,0,10240,0,0,0,96,30720
19918 DATA 96,30720,0,0,120,30720,120,30720,120,30720,0,0,120,30720,252
19919 DATA -1024,252,-1024,252,-1024,252,-1024,252,-1024,252,-1024,120,30720,2,-25799
19920 DATA 2609,2605,12554,13881,14346,13360,12810,14346,14090,12554,12554,13322,12298,12298,12554
19921 DATA 12298,14090,13322,11569,2605,12554,14090,12298,11569,2605,12554,12298,14090,11569,2605
19922 DATA 12554,13881,14346,13360,12810,12598,13112,13322,12594,2608,2605,12554,14640,2609,12298
19923 DATA 12298,12298,12298,12554,12298,13322,13066,12554,12298,14090,13322,11569,2605,12554,14090
19924 DATA 12298,11569,2605,12554,12298,14090,11569,2605,12554,14640,2609,12298,12298,11569,2616
19925 DATA 13322,12592,2608,2608,2608,2609,2608,2612,2611,2609,2608,2615,2612,2605,12554
19926 DATA 11569,2615,2608,2605,12554,11569,2608,2615,2605,12554,11569,2616,13322,12592,2608
19927 DATA 2605,12554,12593,13322,12592,2608,2608,2608,2609,2608,2612,2611,2609,2608,2615
19928 DATA 2612,2605,12554,11569,2615,2608,2605,12554,11569,2608,2615,2605,12554,11569,2609
19929 DATA 12596,2609,12298,12298,11569,2615,12810,12592,2608,2608,2608,2609,2608,2612,2611
19930 DATA 2609,2608,2615,2612,2605,12554,11569,2615,2608,2605,12554,11569,2608,2615,2605
19931 DATA 12554,11569,2615,12810,12592,2608,2605,12554,14130,2609,12298,12298,12298,12298,12554
19932 DATA 12298,13322,13066,12554,12298,14090,13322,11569,2605,12554,14090,12298,11569,2605,12554
19933 DATA 12298,14090,11569,2605,12554,14130,2609,12298,12298,11569,2617,12298,12849,2608,2608
19934 DATA 2608,2609,2608,2612,2611,2609,2608,2615,2612,2605,12554,11569,2615,2608,2605
19935 DATA 12554,11569,2608,2615,2605,12554,11569,2617,12298,12849,2608,2605,12554,13878,2609
19936 DATA 12298,12298,12298,12298,12554,12298,13322,13066,12554,12298,14090,13322,11569,2605,12554
19937 DATA 14090,12298,11569,2605,12554,12298,14090,11569,2605,12554,13878,2609,12298,12298,11569
19938 DATA 2611,12298,12592,2608,2608,2608,2609,2608,2612,2611,2609,2608,2615,2612,2605
19939 DATA 12554,11569,2615,2608,2605,12554,11569,2608,2615,2605,12554,11569,2611,12298,12592
19940 DATA 2608,2605,12554,12852,2609,12298,12298,12298,12298,12554,12298,13322,13066,12554,12298
19941 DATA 14090,13322,11569,2605,12554,14090,12298,11569,2605,12554,12298,14090,11569,2605,12554
19942 DATA 12852,2609,12298,330,13322,13113,12810,12596,2609,12592,2609,2608,2609,2610,14135
19943 DATA 2610,13625,2610,12336,2616,13834,12592,2609,13874,2608,2610,2610,14136,2610,13623
19944 DATA 2612,13876,2611,14386,2610,13104,2609,14346,12298,12810,13110,13578,12853,13834,12848
19945 DATA 12298,14390,2609,12298,13874,2608,2610,2610,14136,2610,13623,2612,12298,12596,2615
19946 DATA 12298,12554,12298,12554,12855,14090,12853,14602,11569,2608,2617,12298,12592,2608,2608
19947 DATA 2608,2608,2613,12854,2612,2608,2616,13322,12592,2608,2608,2608,2608,2613,12854
19948 DATA 2612,2608,2609,12596,2609,12298,12298,12298,12298,12298,13618,13834,13322,12298,14130
19949 DATA 2609,12298,12298,12298,12298,12298,13618,13834,13322,12298,14130,2609,12298,12298,12298
19950 DATA 12298,12298,13618,13834,13322,12298,14640,2610,12554,12298,12298,12298,12298,13618,13834
19951 DATA 13322,12298,13878,2609,12298,12298,12298,12298,12298,13618,13834,13322,12298,13104,2609
19952 DATA 12298,12298,12298,12298,12298,13618,13834,13322,12298,12852,2609,12298,12298,12298,12298
19953 DATA 12298,13618,13834,13322,305,14346,12848,2609,13322,12810,12554,12298,12298,12810,13578
19954 DATA 12298,12848,2609,13322,12852,2609,2608,2608,2610,2617,12298,12554,12848,2609,13322
19955 DATA 13366,2609,2608,2608,2608,2611,2610,2611,12298,12596,2614,13878,2609,2608,2608
19956 DATA 2605,12554,14134,2611,2611,12298,12596,2614,13108,2609,2608,2608,2605,12554,14387
19957 DATA 2612,2611,12298,12596,2614,12338,2609,2608,2608,2605,12554,14386,2613,2611,12298
19958 DATA 12596,2613,14128,2609,2608,2608,2605,12554,14136,2614,2611,12298,12596,2613,13112
19959 DATA 2609,2608,2608,2605,12554,14135,2615,2611,12298,12596,2613,12342,2609,2608,2608
19960 DATA 2605,12554,13880,2616,2614,2608,2613,2612,2611,2610,2614,2615,2609,2605,14090
19961 DATA 11569,12554,11569,2605,12554,12298,12598,13360,13322,12594,2608,2608,2608,2608,2608
19962 DATA 2608,2608,2608,2608,2605,12554,11569,2605,12554,11569,2605,12554,11569,2605,12554
19963 DATA 11569,2605,12554,11569,2605,12554,11569,2561,28464,2611,13834,12592,2609,14642,2609
19964 DATA 2608,2610,12596,14645,14384,14346,12298,12554,11569,2605,12554,11569,2605,12554,11569
19965 DATA 2605,12554,11569,2608,2617,12298,12592,2608,2608,2608,2608,2608,2616,2605,12554
19966 DATA 11569,2605,12554,12298,14388,2609,12298,12298,12298,12298,12298,12298,14602,11569,2605
19967 DATA 12554,11569,2608,2609,12596,2609,12298,12298,12298,12298,12298,12298,12592,2605,12554
19968 DATA 11569,2605,12554,12298,14130,2609,12298,12298,12298,12298,12298,12298,12593,2605,12554
19969 DATA 11569,2605,12554,12298,14130,2609,12298,12298,12298,12298,12298,12298,12594,2605,12554
19970 DATA 11569,2605,12554,13066,14136,2609,12298,12298,12298,12298,12298,13834,14346,14388,2608
19971 DATA 2610,2608,2615,14346,12592,2608,2609,12554,12298,12298,13834,14346,14388,2609,12810
19972 DATA 12810,12298,12554,12595,2609,13322,12554,12554,12810,11569,2605,12554,12298,13878,2609
19973 DATA 12298,12298,12298,12298,12298,12298,12597,2605,12554,11569,2605,12554,12298,13104,2609
19974 DATA 12298,12298,12298,12298,12298,12298,12598,2605,12554,11569,2605,12554,12298,12852,2609
19975 DATA 12298,12298,12298,12298,12298,12298,12599,2605,12554,11569,2605,12554,33,11569,2605
19976 DATA 12554,11569,2605,12554,11569,2605,12554,11569,2605,12554,11569,2605,12554,11569,2560
19977 DATA 0,0,0,0
19978 DATA 61860
